<?php

register_nls_alert_history_dashlet();

function register_nls_alert_history_dashlet() {

	$dashlet_opts = array(
        	DASHLET_NAME        => 'nls_alert_history',
                DASHLET_TYPE        => DASHLET_TYPE_CORE,
                DASHLET_SERVER_TYPE => SERVER_TYPE_NLS,
                DASHLET_VERSION     => '1.0.0',
                DASHLET_DATE        => '12/11/2017',
                DASHLET_AUTHOR      => 'Nagios Enterprises',
                DASHLET_DESCRIPTION => _('Show the history of alerts for a fused Nagios Log Server.'),
                DASHLET_COPYRIGHT   => '© 2017 Nagios Enterprises, LLC',
                DASHLET_HOMEPAGE    => 'www.nagios.com',
                DASHLET_LICENSE     => _('GPL v2'),
                DASHLET_PREVIEW     => get_dashlets_base_url() . 'nls_alert_history/nls_alert_history.png',
                DASHLET_LOAD_URL    => get_dashlets_base_url() . 'nls_alert_history/nls_alert_history.php',
                DASHLET_TITLE       => _('Log Server Alert History'),
                DASHLET_PARAMS      => 'get_nls_alert_history_params',
	);

	register_dashlet($dashlet_opts);
}

function get_nls_alert_history_params() {
        $arr = get_dashlet_dependent_params(true, false, false, false, SERVER_TYPE_NLS);
        // $arr['page'] = array('name' => _('Page'));
        // $arr['per_page'] = array('name' => _('Per Page'));
        return $arr;
}

?>